# Class: Radio

## jala.Form.Component.Radio(name)

Subclass of jala.Form.Component.Input which renders and validates a set of radio buttons.

## Constructor

#### new Radio(name)

Creates a new Radio component instance

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String | Name of the component, used as name of the html controls.

Source:
  - jala/code/Form.js, line 2061

##### Returns:

A newly created Radio component

### Methods

#### checkRequirements(reqData)

Validates user input from a set of radio buttons and makes sure that option value list contains the user input.

##### Parameters:

Name | Type | Description
--- | --- | ---
`reqData` | Object | request data

Source:
  - jala/code/Form.js, line 2107
See:
  - jala.Form.Component.Select#checkOptions

##### Returns:

null if everything is ok or string containing error message

#### renderControls(attr, value)

Renders a set of radio buttons to the response.

##### Parameters:

Name | Type | Description
--- | --- | ---
`attr` | Object | Basic attributes for this element.
`value` | Object | Value to be used for rendering this element.

Source:
  - jala/code/Form.js, line 2073